#!/usr/bin/perl


open FILE, "$ARGV[0].out" || die;
$eat = 0;
%pathScores = ();
%pathLens = ();
while (<FILE>) {
	if ($_ =~ /ID \& Score \& Size \& Purity \& Path category/) {
		$eat = 1;
	} elsif ( $eat && $_ =~ /(\d+)\s+\&\s+(\d+\.\d+)\s+\&\s+(\d+)/ ) {
		$pathID = $1;
		$pathScores{$pathID} = $2;
		$pathLens{$pathID} = $3;
	}
}
close FILE;


#first need to go through the mappings
#and map from complex number to gene id
open(PATHWAYS,"$ARGV[0]-path.prop");
%pathway2orf;
while($input = <PATHWAYS>){
	chomp($input);
	#get the orf
	($orf,$rest) = split(/ = /,$input);
	@networks = split(/\(|:+|\)/,$rest);
	shift(@networks);
	foreach $element (@networks){
		$pathway2orf{$element}{$orf} = 1;
	}
}
close(PATHWAYS);

open(GRAPH,"$ARGV[0]-graph.sif");
%orf2orf;
while($input = <GRAPH>){
	chomp($input);
	($orf1,$interaction,$orf2) = split(/\s+/,$input);
	$orf2orf{$orf1}{$orf2} = $interaction;
}
close(GRAPH);

foreach $key (keys(%pathway2orf)){
	@orfs = keys(%{$pathway2orf{$key}});
	print "\n\n# path: $key score: $pathScores{$key}\n";
	for($i = 0;$i<scalar(@orfs);$i++){
		for($j = 0;$j<scalar(@orfs);$j++){
		if(exists $orf2orf{$orfs[$i]}{$orfs[$j]}){
			$interaction =  $orf2orf{$orfs[$i]}{$orfs[$j]};
				#print TEMP "$orfs[$i] $interaction $orfs[$j]\n";
				#print "$orfs[$i] $interaction $orfs[$j]\n";
				print "source: $orfs[$i] target: $orfs[$j] desc: $interaction\n";
			}
		}
	}
	close(TEMP);
}
